### Method

# Gdk GLContextget_required_version

#### Declaration [src]

    void
    gdk_gl_context_get_required_version (
      GdkGLContext* context,
      int* major,
      int* minor
    )

#### Description [src]

Retrieves required OpenGL version set as a requirement for the `context` realization. It will not change even if a greater OpenGL version is supported and used after the `context` is realized. See `gdk_gl_context_get_version()` for the real version in use.

See `gdk_gl_context_set_required_version()`.

#### Parameters

`major`

  Type: `int*`

  Return location for the major version to request.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`minor`

  Type: `int*`

  Return location for the minor version to request.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.